#################################################
#
#  (C) 2012 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing (DOT) net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdenetworkmanager/src
  ${CMAKE_SOURCE_DIR}/tdenetworkmanager/src/settings
  ${CMAKE_SOURCE_DIR}/tdenetworkmanager/src/configwidgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_TQT_INCLUDE_DIRS}
  ${NM_UTIL_INCLUDE_DIRS}
)


##### tdenetwork-connection-configwidgets ########

set( target tdenetwork-connection-configwidgets )

set( ${target}_SRCS
    connection_setting_info.ui
    connection_setting_wireless_security_wep.ui
    connection_setting_gsm.ui
    connection_setting_cdma.ui
    connection_setting_ipv4.ui
    connection_setting_ppp.ui
    connection_setting_serial.ui
    connection_setting_wireless_security_wpacipher.ui
    connection_setting_wireless_security_eap.ui
    connection_setting_wireless_security_wpapsk.ui
    connection_setting_wireless_security_phase2.ui
    connection_setting_wireless_security_wpaversion.ui
    connection_setting_wireless_security.ui
    connection_setting_wireless.ui
    connection_setting_wireless_security_wepencryption.ui
    connection_settings.ui
    connection_setting_wireless_security_auth.ui
    connection_setting_vpn.ui
    tdenetman-connection_setting_cdma_widget.cpp
    tdenetman-connection_setting_gsm_widget.cpp
    tdenetman-connection_setting_info_widget.cpp
    tdenetman-connection_setting_ipv4_widget.cpp
    tdenetman-connection_setting_ppp_widget.cpp
    tdenetman-connection_setting_serial_widget.cpp
    tdenetman-connection_setting_wireless_security_widget.cpp
    tdenetman-connection_setting_wireless_widget.cpp
    tdenetman-connection_setting_vpn_widget.cpp
    tdenetman-connection_setting_widget_interface.cpp
    tdenetman-connection_settings_dialog.cpp
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
)
